Summary: 	Extra gtk-2/3 themes for gtk based desktops
Name: 		mate-themes-extras
Version: 	3.8.4
Release: 	1%{?dist}

# upstream is located at github, but links from tag releases doesn't match copied link in
# web-browser, in result fedora-rewiew-tool will fail.
# so i decided to release on fedorapeople to have a valid download link
# There are different releases for GTK3 versions in f18 and f19
URL: 		https://github.com/NiceandGently/mate-themes-extras
Source0:	http://raveit65.fedorapeople.org/Mate/SOURCE/%{name}-%{version}.tar.xz

License: 	LGPLv2 and GPLv2
Group: 		User Interface/Desktops
BuildArch: 	noarch

Requires: 	gtk-murrine-engine
Requires: 	gtk-unico-engine
Requires: 	faience-icon-theme
Requires: 	gtk-smooth-engine
Requires:   mate-icon-theme
Requires:   gnome-icon-theme
Requires:   gnome-colors-icon-theme

BuildRequires:  hardlink

# for obsoleting external Repo versions f18 and f19
Obsoletes: mate-themes-extras-3 < %{version}-%{release}
Obsoletes: mate-themes-extras-4 < %{version}-%{release}

%description
The mate-themes-extras package contains a collection of GTK2/3 desktop
themes for all gtk based desktops.
These themes can change the appearance of application widgets, icons,
window borders, cursors, etc.
This package is optimized for GTK3-3.8.x.
Theme list: Blue-Submarine, DeLorean-Dark, Faience, Faience-Ocre,
GnomishBeige, Green-Submarine, Smoothly, Smoothly-Black, Zukitwo-Dust,
Zukitwo-Brave, Zukitwo-Human, Zukitwo-Illustrious, Zukitwo-Noble,
Zukitwo-Wine, Zukitwo-Wise.

%prep
%setup -q

%build
%configure \
    --enable-Blue-Submarine \
    --enable-DeLorean-Dark \
	--enable-Faience \
	--enable-Faience-Ocre \
    --enable-GnomishBeige \
    --enable-Green-Submarine \
    --enable-Smoothly \
    --enable-Smoothly-Black \
	--enable-Zukitwo-Dust \
	--enable-Zukitwo-Brave \
	--enable-Zukitwo-Colors \
	--enable-Zukitwo-Human \
	--enable-Zukitwo-Illustrious \
	--enable-Zukitwo-Noble \
	--enable-Zukitwo-Wine \
	--enable-Zukitwo-Wise

make %{?_smp_mflags}

%install
%{make_install}

# remove unecessaries non-executable-scripts to avoid rpmlint errors
rm -f $RPM_BUILD_ROOT%{_datadir}/themes/Faience-Ocre/gtk-3.0/render-assets.sh
rm -f $RPM_BUILD_ROOT%{_datadir}/themes/Faience-Ocre/gtk-3.0/render-assets-dark.sh
rm -f $RPM_BUILD_ROOT%{_datadir}/themes/Faience/gtk-3.0/render-assets.sh
rm -f $RPM_BUILD_ROOT%{_datadir}/themes/Faience/gtk-3.0/render-assets-dark.sh

# save space by linking identical images
hardlink -c -v $RPM_BUILD_ROOT%{_datadir}/themes/Blue-Submarine
hardlink -c -v $RPM_BUILD_ROOT%{_datadir}/themes/DeLorean-Dark
hardlink -c -v $RPM_BUILD_ROOT%{_datadir}/themes/GnomishBeige
hardlink -c -v $RPM_BUILD_ROOT%{_datadir}/themes/Green-Submarine
hardlink -c -v $RPM_BUILD_ROOT%{_datadir}/themes/Faience
hardlink -c -v $RPM_BUILD_ROOT%{_datadir}/themes/Faience-Ocre
hardlink -c -v $RPM_BUILD_ROOT%{_datadir}/themes/Smoothly
hardlink -c -v $RPM_BUILD_ROOT%{_datadir}/themes/Smoothly-Black
hardlink -c -v $RPM_BUILD_ROOT%{_datadir}/themes/Zukitwo-Colors
hardlink -c -v $RPM_BUILD_ROOT%{_datadir}/themes/Zukitwo-Brave
hardlink -c -v $RPM_BUILD_ROOT%{_datadir}/themes/Zukitwo-Dust
hardlink -c -v $RPM_BUILD_ROOT%{_datadir}/themes/Zukitwo-Human
hardlink -c -v $RPM_BUILD_ROOT%{_datadir}/themes/Zukitwo-Illustrious
hardlink -c -v $RPM_BUILD_ROOT%{_datadir}/themes/Zukitwo-Noble
hardlink -c -v $RPM_BUILD_ROOT%{_datadir}/themes/Zukitwo-Wine
hardlink -c -v $RPM_BUILD_ROOT%{_datadir}/themes/Zukitwo-Wise


%files
%doc AUTHORS COPYING README ChangeLog
%{_datadir}/themes/Blue-Submarine/
%{_datadir}/themes/DeLorean-Dark/
%{_datadir}/themes/Faience/
%{_datadir}/themes/Faience-Ocre/
%{_datadir}/themes/GnomishBeige/
%{_datadir}/themes/Green-Submarine/
%{_datadir}/themes/Smoothly/
%{_datadir}/themes/Smoothly-Black/
%{_datadir}/themes/Zukitwo-Colors/
%{_datadir}/themes/Zukitwo-Brave/
%{_datadir}/themes/Zukitwo-Dust/
%{_datadir}/themes/Zukitwo-Human/
%{_datadir}/themes/Zukitwo-Illustrious/
%{_datadir}/themes/Zukitwo-Noble/
%{_datadir}/themes/Zukitwo-Wine/
%{_datadir}/themes/Zukitwo-Wise/


%changelog
* Sun Jan 04 2015 Wolfgang Ulbrich <chat-to-me@raveit.de> - 3.8.4-1
- update to 3.8.4 release
- improvements for Submarine themes
- improvements for GnomishBeige
- improvements for zukitwo color themes
- improvements for faience themes

* Fri Dec 12 2014 Wolfgang Ulbrich <chat-to-me@raveit.de> - 3.8.3-1
- update to 3.8.3 release
- more improvements for Zukitwo color themes
- add resize-grip for most themes

* Sun Nov 30 2014 Wolfgang Ulbrich <chat-to-me@raveit.de> - 3.8.2-1
- update to 3.8.2
- drop Gnome-Cupertino themes , they don't work with GTK3-3.8

* Wed Oct 22 2014 Wolfgang Ulbrich <chat-to-me@raveit.de> -3.8.0.1
- update to 3.8.0 release to reflect GTK3 version
- update faince themes to GTK3-3.10 (works with GTK3-3.8)
- drop cologne theme, get rid of runtime require gtk-xfce-engine

* Thu Oct 16 2014 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.7.6-1
- update to 1.7.6 release

* Sat Dec 07 2013 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.7.5-2
- rebuild against fixed tarball

* Sat Dec 07 2013 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.7.5-1
- update to 1.7.5 release
- gtk2, syncronize panel-applets menus
- several theme improvements

* Mon Oct 28 2013 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.7.4-2
- add missing runtime require gnome-colors-icon-theme

* Sat Oct 26 2013 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.7.4-1
- update to 1.7.4
- switch to gnome-colors-icon-theme
- clean up runtime requires

* Wed Sep 11 2013 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.7.3-1
- update to 1.7.3
- switch to faience instead of faenza icon theme
- remove runtime require humanity-icon-theme
- add runtime require mate-icon-theme and gnome-icon-theme

* Wed Sep 11 2013 Dan Mashal <dan.mashal@fedoraproject.org> - 1.7.2-3
- Fix broken deps

* Fri Aug 16 2013 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.7.2-2
- initial for fedora

* Fri Aug 16 2013 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.7.2-1
- update to 1.7.2
- update GnomihBeige theme to GTk3-3.8
- disable Zukwito theme, already in fedora

* Sat Jul 27 2013 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.7.1-1
- update to 1.7.1
- update Dolorean-Dark, Smoothly and Smoothly-Black to GTK3-8 

* Thu Jun 27 2013 Wolfgang Ulbrich <chat-to-me@raveit.de> - 1.7.0-1
- initial build
